<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: include/gui/ToggleGroup.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_48c1f94cd2ae07e13fa9a9f16a1d541c.html">gui</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">ToggleGroup.hpp</div></div>
</div><!--header-->
<div class="contents">
<a href="ToggleGroup_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#pragma once</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span> </div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="preprocessor">#include &quot;<a class="code" href="ToggleButton_8hpp.html">ToggleButton.hpp</a>&quot;</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span> </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="keyword">namespace </span><a class="code hl_namespace" href="namespacegg.html">gg</a></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>{</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="classgg_1_1ToggleGroup.html">    8</a></span><span class="keyword">class </span><a class="code hl_class" href="classgg_1_1ToggleGroup.html">ToggleGroup</a></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>{</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="classgg_1_1ToggleGroup.html#a501f1cd8bd116e94f704dc796697aa76">   11</a></span>    <a class="code hl_function" href="classgg_1_1ToggleGroup.html#a501f1cd8bd116e94f704dc796697aa76">ToggleGroup</a>();</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="classgg_1_1ToggleGroup.html#a9709faa760de29cc1fc1023b1a3ec6a6">   12</a></span>    <span class="keyword">virtual</span> <a class="code hl_function" href="classgg_1_1ToggleGroup.html#a9709faa760de29cc1fc1023b1a3ec6a6">~ToggleGroup</a>() = <span class="keywordflow">default</span>;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span> </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="classgg_1_1ToggleGroup.html#affe8ca2cd31ee7cca8edf8b55973e381">   14</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1ToggleGroup.html#affe8ca2cd31ee7cca8edf8b55973e381">AddToggle</a>(<a class="code hl_class" href="classgg_1_1ToggleButton.html">ToggleButton</a> *);</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="classgg_1_1ToggleGroup.html#a05bb9a569a28c3f8a6105f30a3441197">   15</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1ToggleGroup.html#a05bb9a569a28c3f8a6105f30a3441197">RemoveToggle</a>(<a class="code hl_class" href="classgg_1_1ToggleButton.html">ToggleButton</a> *);</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="classgg_1_1ToggleGroup.html#a7007e2548e51ee5d37d1032e2229fcb6">   16</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1ToggleGroup.html#a7007e2548e51ee5d37d1032e2229fcb6">ClearToggle</a>();</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="classgg_1_1ToggleGroup.html#a42f24adf2e27a415d693b9fe0d11a34c">   18</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1ToggleGroup.html#a42f24adf2e27a415d693b9fe0d11a34c">SelectToggle</a>(<a class="code hl_class" href="classgg_1_1ToggleButton.html">ToggleButton</a> *);</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="classgg_1_1ToggleGroup.html#ab967976c825b747dba121b16f4747984">   19</a></span>    <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1ToggleGroup.html#ab967976c825b747dba121b16f4747984">GetSelectedToggle</a>() -&gt; <a class="code hl_class" href="classgg_1_1ToggleButton.html">ToggleButton</a> *;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="classgg_1_1ToggleGroup.html#a86a70437d4453709f2b09ae7293266da">   22</a></span>    std::size_t <a class="code hl_variable" href="classgg_1_1ToggleGroup.html#a86a70437d4453709f2b09ae7293266da">mActiveToggleIndex</a>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="classgg_1_1ToggleGroup.html#a08af697ba837cf8376e586c8070fe1b5">   23</a></span>    std::vector&lt;ToggleButton *&gt; <a class="code hl_variable" href="classgg_1_1ToggleGroup.html#a08af697ba837cf8376e586c8070fe1b5">mToggles</a>;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>};</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>}; <span class="comment">// namespace gg</span></div>
<div class="ttc" id="aToggleButton_8hpp_html"><div class="ttname"><a href="ToggleButton_8hpp.html">ToggleButton.hpp</a></div></div>
<div class="ttc" id="aclassgg_1_1ToggleButton_html"><div class="ttname"><a href="classgg_1_1ToggleButton.html">gg::ToggleButton</a></div><div class="ttdef"><b>Definition:</b> ToggleButton.hpp:9</div></div>
<div class="ttc" id="aclassgg_1_1ToggleGroup_html"><div class="ttname"><a href="classgg_1_1ToggleGroup.html">gg::ToggleGroup</a></div><div class="ttdef"><b>Definition:</b> ToggleGroup.hpp:9</div></div>
<div class="ttc" id="aclassgg_1_1ToggleGroup_html_a05bb9a569a28c3f8a6105f30a3441197"><div class="ttname"><a href="classgg_1_1ToggleGroup.html#a05bb9a569a28c3f8a6105f30a3441197">gg::ToggleGroup::RemoveToggle</a></div><div class="ttdeci">void RemoveToggle(ToggleButton *)</div></div>
<div class="ttc" id="aclassgg_1_1ToggleGroup_html_a08af697ba837cf8376e586c8070fe1b5"><div class="ttname"><a href="classgg_1_1ToggleGroup.html#a08af697ba837cf8376e586c8070fe1b5">gg::ToggleGroup::mToggles</a></div><div class="ttdeci">std::vector&lt; ToggleButton * &gt; mToggles</div><div class="ttdef"><b>Definition:</b> ToggleGroup.hpp:23</div></div>
<div class="ttc" id="aclassgg_1_1ToggleGroup_html_a42f24adf2e27a415d693b9fe0d11a34c"><div class="ttname"><a href="classgg_1_1ToggleGroup.html#a42f24adf2e27a415d693b9fe0d11a34c">gg::ToggleGroup::SelectToggle</a></div><div class="ttdeci">void SelectToggle(ToggleButton *)</div></div>
<div class="ttc" id="aclassgg_1_1ToggleGroup_html_a501f1cd8bd116e94f704dc796697aa76"><div class="ttname"><a href="classgg_1_1ToggleGroup.html#a501f1cd8bd116e94f704dc796697aa76">gg::ToggleGroup::ToggleGroup</a></div><div class="ttdeci">ToggleGroup()</div></div>
<div class="ttc" id="aclassgg_1_1ToggleGroup_html_a7007e2548e51ee5d37d1032e2229fcb6"><div class="ttname"><a href="classgg_1_1ToggleGroup.html#a7007e2548e51ee5d37d1032e2229fcb6">gg::ToggleGroup::ClearToggle</a></div><div class="ttdeci">void ClearToggle()</div></div>
<div class="ttc" id="aclassgg_1_1ToggleGroup_html_a86a70437d4453709f2b09ae7293266da"><div class="ttname"><a href="classgg_1_1ToggleGroup.html#a86a70437d4453709f2b09ae7293266da">gg::ToggleGroup::mActiveToggleIndex</a></div><div class="ttdeci">std::size_t mActiveToggleIndex</div><div class="ttdef"><b>Definition:</b> ToggleGroup.hpp:22</div></div>
<div class="ttc" id="aclassgg_1_1ToggleGroup_html_a9709faa760de29cc1fc1023b1a3ec6a6"><div class="ttname"><a href="classgg_1_1ToggleGroup.html#a9709faa760de29cc1fc1023b1a3ec6a6">gg::ToggleGroup::~ToggleGroup</a></div><div class="ttdeci">virtual ~ToggleGroup()=default</div></div>
<div class="ttc" id="aclassgg_1_1ToggleGroup_html_ab967976c825b747dba121b16f4747984"><div class="ttname"><a href="classgg_1_1ToggleGroup.html#ab967976c825b747dba121b16f4747984">gg::ToggleGroup::GetSelectedToggle</a></div><div class="ttdeci">auto GetSelectedToggle() -&gt; ToggleButton *</div></div>
<div class="ttc" id="aclassgg_1_1ToggleGroup_html_affe8ca2cd31ee7cca8edf8b55973e381"><div class="ttname"><a href="classgg_1_1ToggleGroup.html#affe8ca2cd31ee7cca8edf8b55973e381">gg::ToggleGroup::AddToggle</a></div><div class="ttdeci">void AddToggle(ToggleButton *)</div></div>
<div class="ttc" id="anamespacegg_html"><div class="ttname"><a href="namespacegg.html">gg</a></div><div class="ttdef"><b>Definition:</b> Application.hpp:22</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
